Bug 13186 - Problem with Property Editor win if process for command-line browser contains spaces
Problem with Property Editor win if process for command-line browser contains...
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
PC Windows 95/98
: P3 (vote)
: TBD
Assigned To: Peter Zavadsky
issues@platform
: SPACE_IN_PATH
Depends on:
Blocks: 12500
  Show dependency treegraph
 
Reported: 2001-06-25 19:43 UTC by Jason Rush
Modified: 2008-12-23 10:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Rush 2001-06-25 19:43:41 UTC
In the options window (not using the customizer), I set the Process property of
my External Browser (Command Line) object to Netscape in its default location. 
The process is "C:\Program Files\Netscape\Communicator\Program\netsecape.exe". 
I think clicked on the '...' button to bring up the customizer and the Process
property shows "C:\Program" and the rest of the path to the executable is
displayed in the arguments list.
Comment 1 _ rkubacki 2001-06-28 08:36:17 UTC
IMO this should be marked as invalid. This is designed behaviour of property
editor of NbProcessDescriptor class.
Comment 2 Jan Zajicek 2001-06-29 13:48:52 UTC
I think, that the behaviour should be improved. (see similar issue 12500)
Comment 3 Peter Zavadsky 2001-09-13 08:32:48 UTC
Closing the issue.

I tried it on again (incl. Win98) and seems to be fine.
It was probably fixed some time ago.
Comment 4 Jan Zajicek 2001-09-14 09:47:04 UTC
Hmm, tried on Solaris in dev#20010914 and still see the bad behaviour.
Reopenning.
Comment 5 David Strupl 2001-09-14 10:38:48 UTC
As it was closed by Peter I am ccing him...
Comment 6 Peter Zavadsky 2001-09-17 14:56:04 UTC
Reassigned to me.
Comment 7 Peter Zavadsky 2001-09-17 15:04:03 UTC
Fixed in [main-trunk]. Next build available.

The inserted string with spaces is considered as path if it denotes
existing path otherwise text after first space are considered as
arguments.
Comment 8 Quality Engineering 2003-07-01 15:46:28 UTC
Resolved for 3.4.x or earlier, no new info since then -> verified.

Comment 9 Quality Engineering 2003-07-01 16:44:11 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo